package leigh.astro.iraf;

import leigh.mecha.log.MechaLogger;
import leigh.mecha.log.MechaLoggerFactory;

import java.util.UUID;

/**
 * Test application for the IRAF script execution facility, mostly used for development purposes.
 *
 * @author Alex Leigh
 */
public class IRAFApp {
    private static final MechaLogger logger = MechaLoggerFactory.getLogger(IRAFApp.class);

    public static void main(String[] args) throws Exception {
        IRAF iraf = new IRAF();
        StarFindTask starfind = new StarFindTask(UUID.fromString("f4fc0bf8-808d-48a7-a76b-39c671741f50"),
                "/Volumes/cal326/adb");

        iraf.exec(starfind);

        logger.info("Stars. [avgHwhm: {}] [cnt: {}]",
                starfind.getPhotometry().averageHWHM(),
                starfind.getPhotometry().getCount());
    }
}
